#
# spec file for package intel-opencl
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           intel-opencl
Version:        21.39.21127
Release:        150500.7.5.1
Summary:        Intel(R) Graphics Compute Runtime for OpenCL(TM)
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://github.com/intel/compute-runtime
Source0:        https://github.com/intel/compute-runtime/archive/%{version}/compute-runtime-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libigc-devel
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(igc-opencl)
BuildRequires:  libigdgmm-devel >= 21.2.2
BuildRequires:  pkgconfig(libva)
Requires:       libigc1
Requires:       libigdfcl1
Recommends:     libOpenCL1
ExclusiveArch:  x86_64

%description
Intel(R) Graphics Compute Runtime for OpenCL(TM).

%package devel
Summary:        Intel Graphics Compute Runtime for OpenCL Driver
Requires:       %{name} = %{version}-%{release}

%description devel
Development package for Intel Graphics Compute Runtime for OpenCL.

%prep
%autosetup -n compute-runtime-%{version}

%build
%define __builder ninja
%cmake \
  -DSKIP_UNIT_TESTS=1
%cmake_build

%install
%cmake_install
chmod +x %{buildroot}%{_libdir}/intel-opencl/libigdrcl.so
%if 0%{?suse_version} > 1600
mkdir -p %{buildroot}/%{_datadir}/OpenCL/vendors
mv %{buildroot}/%{_sysconfdir}/OpenCL/vendors/intel.icd %{buildroot}/%{_datadir}/OpenCL/vendors/
%endif
rm -Rf %{buildroot}%{_prefix}/lib/debug

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/libocloc.so
%{_bindir}/ocloc
%dir %{_libdir}/intel-opencl
%{_libdir}/intel-opencl/libigdrcl.so
%if 0%{?suse_version} > 1600
%dir %{_datadir}/OpenCL
%dir %{_datadir}/OpenCL/vendors
%{_datadir}/OpenCL/vendors/intel.icd
%else
%dir %{_sysconfdir}/OpenCL
%dir %{_sysconfdir}/OpenCL/vendors
%{_sysconfdir}/OpenCL/vendors/intel.icd
%endif
%files devel
%{_includedir}/ocloc_api.h

%changelog
* Fri Mar  8 2024 sndirsch@suse.com
- adding recommends to libOpenCL1, since the driver doesn't make any
  sense without any libOpenCL installed (bsc#1219781)
* Sat Feb 10 2024 sndirsch@suse.com
- keep icd file in /etc/OpenCL/vendors on Leap 15.x/sle-15-SPx; added
  Requires to libigc1, libigdfcl1 packages (bsc#1219781)
* Sat Oct 30 2021 patrik.jakobsson@suse.com
- spec-clean cleanup
- Description fix
- Set a release
* Thu Oct 28 2021 patrik.jakobsson@suse.com
- Only build for x86_64
* Thu Oct 28 2021 patrik.jakobsson@suse.com
- Since the IGC package is now split up in libs, use libigc-devel instead
* Wed Oct  6 2021 patrik.jakobsson@suse.com
- Update to version 21.39.21127
  * Updated IGC
  * Updated metric_library_api header file
  * Added ADLS device id (jsc#SLE-18964)
* Tue Sep 28 2021 patrik.jakobsson@suse.com
- Update to version 21.38.21026
  * Updated IGC, opencl-clang, VC intrinsics, spirv-translator built with
    llvm 11
  * Updated igsc
  * Updated L0 loader
* Sat Sep 25 2021 patrik.jakobsson@suse.com
- Make sure we have a sufficiently recent version of libigdgmm-devel
* Fri Sep 24 2021 patrik.jakobsson@suse.com
- Add requirement on intel-graphics-compiler-opencl
* Tue Sep 14 2021 patrik.jakobsson@suse.com
- Update to version 21.36.20889 (jsc#SLE-20149)
  * OpenCL and Level Zero packages provided in this release were compiled
    with DG1 support disabled.
  * Binary packages were repackaged to fix dependency issue with IGC
    release 1.0.8517. Please use IGC packages with version number 1.0.8517.
- Move icd file into default directory
* Mon Mar 23 2020 mpluskal@suse.com
- Initial changelog entry for version 20.11.16158
